> ## Documentation Index
> Fetch the complete documentation index at: https://docs.boundlesspay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get An Order

> Use this to retrieve a single order



## OpenAPI

````yaml GET /orders/{reference}
openapi: 3.1.0
info:
  title: BoundlessPay API
  version: 1.0.0
servers: []
security: []
paths:
  /orders/{reference}:
    get:
      description: Use this to retrieve a single order
      parameters:
        - name: reference
          in: path
          required: true
          schema:
            type: string
            example: 9689c0df-a313-4a5b-b71a-056c89b90977
      responses:
        '200':
          description: Order retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Data retrieved successfully
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        recipientName:
                          type: string
                          example: bsuitetest llc
                        reference:
                          type: string
                          example: 9689c0df-a313-4a5b-b71a-056c89b90977
                        amount:
                          type: number
                          example: 5000
                        currencyCode:
                          type: string
                          example: NGN
                        description:
                          type: string
                          example: Food payment
                        customer:
                          type: array
                          items:
                            type: object
                            properties:
                              email:
                                type: string
                                example: example@gmail.com
                              lastName:
                                type: string
                                example: John
                              firstName:
                                type: string
                                example: Doe
                              phoneNumber:
                                type: string
                                example: '07023456789'
                  meta:
                    type: object
                    properties:
                      timestamp:
                        type: string
                        format: date-time
                        example: '2026-03-20T18:36:18Z'

````